close all
clear all
clc

[x,t] = crab_dataset;
size(x)
size(t)

k = 10; % k-fold validation

P = x';
T = t(1,:)';

nomeFSave = 'Knn_10fold.txt';

fid = fopen(nomeFSave, 'w');



vK = [1, 3, 5, 7, 9, 11];


        
    for iK = 1 : size(vK,2)
            k = vK(iK);

            mdl = ClassificationKNN.fit(P,T);
            mdl.NumNeighbors = k;
            cvmdl = crossval(mdl,'kfold',10);
            tNew  =  kfoldPredict(cvmdl);
%                 kfoldLoss(cvmdl, 'mode' ,  'individual'); 
            E = tNew ~= T;
            meanE = mean(E)*100;
            stdE = std(E);
            cm = confusionmat(T',tNew');
            confM = cm ./ size(tNew,1)*100;




            fprintf(fid, '%i\t', k);
            fprintf(fid, '%f\n', meanE);
            fprintf(fid, '%f\t', stdE);
            for iCm = 1 : size(confM,1) * size(confM,2) 
                fprintf(fid, '%f\t', confM(iCm));
            end
            fprintf(fid,'\n');




    end


