close all
clear all
clc

close all
clear all
clc

[x,t] = crab_dataset;
size(x)
size(t)

k = 10; % k-fold validation

P = x';
T = t(1,:)';

nomeFSave = 'Linear_10fold.txt';

fid = fopen(nomeFSave, 'w');

    
    mdl = fitcdiscr(P,T);

    cvmdl = crossval(mdl,'kfold',10);
    tNew  =  kfoldPredict(cvmdl);
    E = tNew ~= T;
    meanE = mean(E)*100;
    stdE = std(E);
    cm = confusionmat(T',tNew');
    confM = cm ./ size(tNew,1)*100;





    fprintf(fid, '%f\n', meanE);
    fprintf(fid, '%f\t', stdE);
    for iCm = 1 : size(confM,1) * size(confM,2) 
    fprintf(fid, '%f\t', confM(iCm));
    end





        

